using MailKit;
using MailKit.Search;
using MimeKit;

namespace PARR.Mail.Services
{
    public interface IMailService
    {
        Task<IList<IMessageSummary>> CheckMailAsync(SearchQuery query);
        Task<MimeEntity?> GetBodyPartAsync(IMessageSummary messageSummary);
        Task<List<MimeEntity>> GetAttachmentsAsync(IMessageSummary messageSummary);
        Task<string> GetBodyTextAsync(IMessageSummary messageSummary);
        Task SetAsSeenAsync(IMessageSummary messageSummary);
    }
}
